package com.portlandwebworks.commons.collections;

import java.util.HashMap;
import java.util.Map;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class MapUtils
{
	public static <T> Map<String, T> buildMap(Object... keyValuePairs)
	{
		Map<String, T> results = new HashMap<String, T>();
		int pairCount = keyValuePairs.length / 2;
		if (pairCount * 2 != keyValuePairs.length) {
			throw new IllegalArgumentException("List of arguments needs to be an even number");
		}

		for (int i = 0; i < pairCount; i++) {
			String key = (String)keyValuePairs[i * 2];
			T value = (T)keyValuePairs[i * 2 + 1];
			results.put(key, value);
		}
		return results;
	}
}
