/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

import java.lang.annotation.ElementType;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@java.lang.annotation.Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
@java.lang.annotation.Target({
		ElementType.TYPE,
		ElementType.FIELD,
		ElementType.METHOD,
		ElementType.ANNOTATION_TYPE})
public @interface DefaultOrderBy
{
	/**
	 * When comparing two DefaultOrderBy annotations applied to fields of the same class, the priority value indicates
	 * which field should be sorted by first.  Higher priority indicates sorting before lower priority value.
	 *
	 * @return
	 */
	int priority() default 0;

	/**
	 * Whether the sort should be done in ascending or descending order.
	 * 
	 * @return
	 */
	boolean ascending() default true;
}
