package com.portlandwebworks.commons.data;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This software is the property of Portland Webworks.
 *
 * This annotation indicates that a field on a POJO maps to a property on a database entity, or to a property of an
 * associated entity via dot traversal.
 *
 * @author Ronnie Northup
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface EntityMapping
{
	/**
	 * The string representation of the full class name of the entity to which this bean maps.  If left null, this bean
	 * becomes a general purpose bean that can be mapped to any entity by specifying the mapped entity class at the field
	 * level in the parent class.
	 *
	 * @return
	 */
	public String value() default "";
}
