package com.portlandwebworks.commons.data;

import com.portlandwebworks.commons.domain.Identifiable;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class MappedBeanUtils
{
	/**
	 *
	 * @param clazz
	 * @return
	 */
	public static Class<? extends Identifiable> getEntityClassForMappedBean(Class<?> clazz)
	{
		Class<Identifiable> entityType;
		if (Identifiable.class.isAssignableFrom(clazz)) {
			entityType = (Class<Identifiable>)clazz;
		}
		else {
			EntityMapping entityMapping = clazz.getAnnotation(EntityMapping.class);
			if (entityMapping == null) {
				throw new RuntimeException("Cannot execute query return type " + clazz.getName() + "--it must either subclass EntityBase or have an @EntityMapping annotation");
			}

			try {
				return (Class<? extends Identifiable>)Class.forName(entityMapping.value());
			}
			catch (ClassNotFoundException e) {
				throw new RuntimeException("Class not found: " + entityMapping.value());
			}
		}
		return entityType;
	}
}
