/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.domain;

import javax.persistence.*;

/**
 * This software is the property of Portland Webworks.
 *
 * This subclass of EntityBase provides additional common fields to provide auditing capabilities.
 *
 * The default sorting behavior of this type is to order first by last modified date descending, then by created date
 * descending.  You can override default sorting by specifying @DefaultOrderBy annotations on your subclass fields
 * with priority values less than 100.
 *
 * @author Ronnie Northup
 * @deprecated  Use AuditedEntity instead.
 */
@MappedSuperclass
@Deprecated
public abstract class AuditedEntityBase<T extends UserEntityBase> extends AuditedEntity<T>
{
}