package com.portlandwebworks.commons.excel;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class Table extends Component
{
	private String dataSource;
	
	private List<Column> columns = new ArrayList<Column>();

	public Table()
	{
	}

	public Table(String dataSource, Column... columns)
	{
		this.dataSource = dataSource;
		this.columns.addAll(Arrays.asList(columns));
	}

	public void setDataSource(String dataSource)
	{
		this.dataSource = dataSource;
	}

	public String getDataSource()
	{
		return dataSource;
	}

	public Table addColumn(Column column)
	{
		this.columns.add(column);
		
		return this;
	}
	
	public void setColumns(List<Column> columns)
	{
		this.columns.addAll(columns);
	}

	public List<Column> getColumns()
	{
		return new ArrayList<Column>(columns);
	}
}
