package com.portlandwebworks.commons.excel;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class Worksheet
{
	private String name;
	
	private List<Component> components = new ArrayList<Component>();

	public Worksheet()
	{
	}
	
	public Worksheet(String name, Component... components)
	{
		this.name = name;
		this.components.addAll(Arrays.asList(components));
	}

	public String getName()
	{
		return name;
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public void addTable(Table table)
	{
		components.add(table);
	}
	
	public List<Component> getComponents()
	{
		return new ArrayList<Component>(this.components);
	}

	public void setComponents(List<Component> components)
	{
		this.components = new ArrayList<Component>(components);
	}
}
