package com.portlandwebworks.commons.pdf;


import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.core.io.ClassPathResource;
import org.xhtmlrenderer.extend.UserAgentCallback;
import org.xhtmlrenderer.resource.CSSResource;
import org.xhtmlrenderer.resource.ImageResource;
import org.xhtmlrenderer.resource.XMLResource;

import java.io.IOException;
import java.io.InputStream;

/**
 * User: jgordon
 * Date: May 5, 2011
 * Time: 10:53:03 AM
 * Resolves external files for flying saucer in the classpath
 */
public class ClassPathResourceUserAgent implements UserAgentCallback {

	private static final Logger logger = LogManager.getLogger(ClassPathResourceUserAgent.class);

	public CSSResource getCSSResource(String uri) {

		if (uri == null) {
			return new CSSResource(null);
		}

		CSSResource cssResource = null;
		ClassPathResource resource = new ClassPathResource(uri);

		if (resource.exists()) {
			try {
				InputStream inputStream = resource.getURL().openStream();

				cssResource = new CSSResource(inputStream);
				return cssResource;
			} catch (IOException e) {
				throw new RuntimeException(e.getMessage(), e);
			}

		} else {
			logger.warn("Couldn't find css file in classpath for uri:  " + uri);
		}


		return cssResource;
	}

	public ImageResource getImageResource(String uri) {
		return null;
	}

	public XMLResource getXMLResource(String uri) {
		return null;
	}

	public byte[] getBinaryResource(String uri) {
		return new byte[0];
	}

	public boolean isVisited(String uri) {
		return false;
	}

	public void setBaseURL(String url) {

	}

	public String getBaseURL() {
		return null;
	}

	public String resolveURI(String uri) {
		return null;
	}
}
