/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.reporting;

import com.portlandwebworks.commons.dao.SearchCriteria;

import java.util.List;
import java.util.Map;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class DetailReport
{
	private String reportTitle;

	private SearchCriteria criteria;

	private String drillDownField;

	private Object drillDownValue;

	private List<Map<String, ?>> details;

	private long totalMatches;

	private Map<String, Class> detailMetaData;


	public String getReportTitle()
	{
		return reportTitle;
	}

	public void setReportTitle(String reportTitle)
	{
		this.reportTitle = reportTitle;
	}

	public SearchCriteria getCriteria()
	{
		return criteria;
	}

	public void setCriteria(SearchCriteria criteria)
	{
		this.criteria = criteria;
	}

	public String getDrillDownField()
	{
		return drillDownField;
	}

	public void setDrillDownField(String drillDownField)
	{
		this.drillDownField = drillDownField;
	}

	public Object getDrillDownValue()
	{
		return drillDownValue;
	}

	public void setDrillDownValue(Object drillDownValue)
	{
		this.drillDownValue = drillDownValue;
	}

	public List<Map<String, ?>> getDetails()
	{
		return details;
	}

	public void setDetails(List<Map<String, ?>> details)
	{
		this.details = details;
	}

	public long getTotalMatches()
	{
		return totalMatches;
	}

	public void setTotalMatches(long totalMatches)
	{
		this.totalMatches = totalMatches;
	}

	public Map<String, Class> getDetailMetaData()
	{
		return detailMetaData;
	}

	public void setDetailMetaData(Map<String, Class> detailMetaData)
	{
		this.detailMetaData = detailMetaData;
	}
}
