package com.portlandwebworks.commons.security.user;

import org.springframework.ldap.core.AttributesMapper;

import javax.naming.NamingException;
import javax.naming.directory.Attribute;
import javax.naming.directory.Attributes;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class DefaultLdapAttributeMapper implements AttributesMapper
{
	public Object mapFromAttributes(Attributes attributes) throws NamingException
	{
		UserInput input = new UserInput();

		final Attribute uid = attributes.get("uid");
		input.setUsername(uid.get().toString());

		final Attribute email = attributes.get("mail");
		if (email != null) {
			input.setEmail(email.get().toString());
		}

		final Attribute givenName = attributes.get("givenName");
		if (givenName != null) {
			input.setFirstName(givenName.get().toString());
		}

		final Attribute sn = attributes.get("sn");
		input.setLastName(sn.get().toString());

		input.setEnabled(true);

		return input;
	}
}
