/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.security.user;

import com.portlandwebworks.commons.dao.PredicateSearchCriteria;
import com.portlandwebworks.commons.domain.Role;
import com.portlandwebworks.commons.domain.User;

import java.util.Collections;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class DefaultUserDelegate implements IUserDelegate
{
	public Class<? extends Role> getRoleType()
	{
		return Role.class;
	}

	public Class<? extends User> getUserType()
	{
		return User.class;
	}

	public Class<? extends Enum> getFetchOptionsType()
	{
		return UserFetchOptions.class;
	}

	public Class<? extends UserInput> getUserInputType()
	{
		return UserInput.class;
	}

	public Class<? extends UserInputOptions> getUserInputOptionsType()
	{
		return UserInputOptions.class;
	}

	public Class<? extends UserSearchOptions> getUserSearchOptionsType()
	{
		return UserSearchOptions.class;
	}

	public Class<? extends UserSearchResult> getUserSearchResultType()
	{
		return UserSearchResult.class;
	}

	public void prepareUserInputForEdit(UserInput input)
	{
	}

	public void prepareUserForAdd(UserInput input, User user)
	{
	}

	public void prepareUserForUpdate(UserInput input, User user)
	{
	}

	public void prepareUserInputOptions(Long userId, UserInputOptions uio)
	{
	}

	public void prepareUserSearchOptions(UserSearchOptions uso)
	{
	}

	public void userAdded(UserInput input, User user)
	{
	}

	public void userUpdated(User user, UserInput input)
	{
	}

	public void prepareUserForView(User user)
	{
	}

	public void prepareUserSearchResults(List<? extends UserSearchResult> items)
	{
	}

	public List getUserInputOptions(String optionName, String qualifier)
	{
		return Collections.EMPTY_LIST;
	}

	public void prepareUserSearchCriteria(PredicateSearchCriteria criteria)
	{
	}

	public List getUserSearchOptions(String optionName, String qualifier)
	{
		return Collections.EMPTY_LIST;
	}
}
