package com.portlandwebworks.commons.security.user;

import com.portlandwebworks.commons.data.EntityMapping;
import com.portlandwebworks.commons.data.FieldMapping;

import java.util.Date;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
@EntityMapping("com.portlandwebworks.commons.domain.User")
public class UserSearchResult
{
	@FieldMapping(value = "id", identifier = true)
	private Long userId;

	@FieldMapping
	private String username;

	@FieldMapping
	private String firstName;

	@FieldMapping
	private String lastName;

	@FieldMapping
	private Character middleInitial;

	@FieldMapping
	private boolean enabled;

	@FieldMapping
	private Date lastLoginDate;

	@FieldMapping
	private String email;

	@FieldMapping
	private Date lastPasswordChangeDate;

	@FieldMapping(value = "roles")
	private List<RoleSearchResult> roles;

	public Long getUserId()
	{
		return userId;
	}

	public void setUserId(Long userId)
	{
		this.userId = userId;
	}

	public String getUsername()
	{
		return username;
	}

	public void setUsername(String username)
	{
		this.username = username;
	}

	public String getFirstName()
	{
		return firstName;
	}

	public void setFirstName(String firstName)
	{
		this.firstName = firstName;
	}

	public String getLastName()
	{
		return lastName;
	}

	public void setLastName(String lastName)
	{
		this.lastName = lastName;
	}

	public Character getMiddleInitial()
	{
		return middleInitial;
	}

	public void setMiddleInitial(Character middleInitial)
	{
		this.middleInitial = middleInitial;
	}

	public boolean isEnabled()
	{
		return enabled;
	}

	public void setEnabled(boolean enabled)
	{
		this.enabled = enabled;
	}

	public Date getLastLoginDate()
	{
		return lastLoginDate;
	}

	public void setLastLoginDate(Date lastLoginDate)
	{
		this.lastLoginDate = lastLoginDate;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public Date getLastPasswordChangeDate()
	{
		return lastPasswordChangeDate;
	}

	public void setLastPasswordChangeDate(Date lastPasswordChangeDate)
	{
		this.lastPasswordChangeDate = lastPasswordChangeDate;
	}

	public List<RoleSearchResult> getRoles()
	{
		return roles;
	}

	public void setRoles(List<RoleSearchResult> roles)
	{
		this.roles = roles;
	}
}
