package com.portlandwebworks.commons.service;

import org.codehaus.jackson.map.ObjectMapper;
import org.codehaus.jackson.map.annotate.JsonSerialize;
import org.springframework.beans.factory.InitializingBean;

import java.text.SimpleDateFormat;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class JsonObjectMapper extends ObjectMapper implements InitializingBean
{


	public void afterPropertiesSet() throws Exception {

		// RFC-1123, ISO-8601-compliant notation, which gets output as something like: "1970-01-01T00:00:00.000+0000".
		//getSerializationConfig().set(SerializationConfig.Feature.WRITE_DATES_AS_TIMESTAMPS, false);
		getSerializationConfig().setDateFormat(new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss"));
		// note that EXTJS encodes this as "Y-m-d\\TH:i:s". see metaInfo that specifies dateFormat
		getDeserializationConfig().setDateFormat(new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss"));

		// See additional serialization options:
		// http://wiki.fasterxml.com/JacksonFeaturesDeserialization
		// and for exjs parsing options
		// http://www.extjs.com/deploy/dev/docs/?class=Ext.data.Field?class=Date
        getSerializationConfig().setSerializationInclusion(JsonSerialize.Inclusion.NON_NULL);
		// http://www.developer.com/java/web/article.php/10935_3854986_3/Get-RESTful-with-Spring-30.htm
		// See listing 12 code...
//	    // Create a custom serializer factory to handle empty response objects.
//	    CustomSerializerFactory serFactory = new CustomSerializerFactory();
//	    serFactory.addSpecificMapping(SaveWeatherUpdateResponse.class,
//	        new EmptyJaxbTypeSerializer());
//	    setSerializerFactory(serFactory);
//
//	    // Enable JAXB annotation support in Jackson
//	    AnnotationIntrospector introspector = new JaxbAnnotationIntrospector();
//	    getDeserializationConfig().setAnnotationIntrospector(introspector);
//	    getSerializationConfig().setAnnotationIntrospector(introspector);

	}

//    @Override
//    public <T> T readValue(InputStream src, JavaType valueType)
//        throws IOException, JsonParseException, JsonMappingException
//    {
//        return super.readValue(src, valueType);
//    }



}
