package com.portlandwebworks.commons.validation;

import org.hibernate.validator.engine.PathImpl;

import javax.validation.ConstraintViolation;
import javax.validation.Path;
import javax.validation.metadata.ConstraintDescriptor;

/**
 * This software is the property of Portland Webworks.
 *
 * @author Ronnie Northup
 */
public class SimpleConstraintViolation<T> implements ConstraintViolation<T>
{
	private T bean;
	
	private Path propertyPath;
	
	private Object invalidValue;
	
	private String message;


	public SimpleConstraintViolation()
	{
	}

	public SimpleConstraintViolation(T bean, String propertyPath, Object invalidValue, String message)
	{
		this.bean = bean;
		this.propertyPath = PathImpl.createPathFromString(propertyPath);
		this.invalidValue = invalidValue;
		this.message = message;
	}

	public String getMessage()
	{
		return this.message;
	}

	public String getMessageTemplate()
	{
		return null;
	}

	public T getRootBean()
	{
		return bean;
	}

	public Class<T> getRootBeanClass()
	{
		return (Class<T>)bean.getClass();
	}

	public Object getLeafBean()
	{
		return null;
	}

	public Path getPropertyPath()
	{
		return this.propertyPath;
	}

	public Object getInvalidValue()
	{
		return this.invalidValue;
	}

	public ConstraintDescriptor<?> getConstraintDescriptor()
	{
		return null;
	}
}
